Debian Bug report logs - #440344
latest libgnutls13 breaks msmtp

version graph

Package: msmtp; Maintainer for msmtp is Emmanuel Bouthenot <kolter@debian.org>; Source for msmtp is src:msmtp.

Reported by: Alec Robertson <alec.robertson@gmail.com>

Date: Fri, 31 Aug 2007 18:27:01 UTC

Severity: normal

Found in version msmtp/1.4.13-1

Fixed in version msmtp/1.4.15-1

Done: Emmanuel Bouthenot <kolter@openics.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Julien Louis <ptitlouis@sysif.net>:
Bug#440344; Package msmtp. Full text and rfc822 format available.

Acknowledgement sent to Alec Robertson <alec.robertson@gmail.com>:
New Bug report received and forwarded. Copy sent to Julien Louis <ptitlouis@sysif.net>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alec Robertson <alec.robertson@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: latest libgnutls13 breaks msmtp
Date: Fri, 31 Aug 2007 14:19:38 -0400
Package: msmtp
Version: 1.4.13-1
Severity: normal

Version 1.7.19-1 of libgnutls13 breaks msmtp with error: TLS handshake
failed: The Diffie Hellman prime sent by the server is not acceptable
(not long enough). Previous version (1.6.3-1) works fine.


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.23-rc4-hrt1
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages msmtp depends on:
ii  debconf [debconf-2.0]   1.5.14           Debian configuration management sy
ii  libc6                   2.6.1-1+b1       GNU C Library: Shared libraries
ii  libcomerr2              1.40.2-1         common error description library
ii  libgcrypt11             1.2.4-2          LGPL Crypto library - runtime libr
ii  libgnutls13             1.7.19-1         the GNU TLS library - runtime libr
ii  libgpg-error0           1.4-2            library for common error values an
ii  libgsasl7               0.2.12-1+b1      GNU SASL library
ii  libidn11                1.0-0            GNU libidn library, implementation
ii  libkrb53                1.6.dfsg.1-6     MIT Kerberos runtime libraries
ii  libtasn1-3              0.3.10-1         Manage ASN.1 structures (runtime)
ii  ucf                     3.001            Update Configuration File: preserv
ii  zlib1g                  1:1.2.3.3.dfsg-5 compression library - runtime

Versions of packages msmtp recommends:
ii  ca-certificates               20070303   Common CA Certificates PEM files

-- debconf information:
  msmtp/host:
  msmtp/tls: false
  msmtp/maildomain:
  msmtp/sysconfig: false
  msmtp/auto_from: true
  msmtp/port: 25



Information forwarded to debian-bugs-dist@lists.debian.org, Julien Louis <ptitlouis@sysif.net>:
Bug#440344; Package msmtp. Full text and rfc822 format available.

Acknowledgement sent to Heiko Weinen <debbugs.heiko@weinen.org>:
Extra info received and forwarded to list. Copy sent to Julien Louis <ptitlouis@sysif.net>. Full text and rfc822 format available.

Message #10 received at 440344@bugs.debian.org (full text, mbox):

From: Heiko Weinen <debbugs.heiko@weinen.org>
To: 440344@bugs.debian.org
Subject: Bug seconded & bad workaround
Date: Sun, 23 Sep 2007 01:09:15 +0200
I have the same bug on two different boxen here.
Installing an older libgnutls (namely api-rev. 10) solved it on the expense of having broken dependencies,
since apparently rev. 13 cannot be installed at the same time.

Will this bug eventually be fixed, or is there need of more information, I could possibly supply?
(And is it really a bug in msmtp? Not in libgnutls?)

-- 
Microsoft Windows - The Botnet Operator's Choice Of Operating System




Information forwarded to debian-bugs-dist@lists.debian.org, Julien Louis <ptitlouis@sysif.net>:
Bug#440344; Package msmtp. Full text and rfc822 format available.

Acknowledgement sent to jan@uos.de:
Extra info received and forwarded to list. Copy sent to Julien Louis <ptitlouis@sysif.net>. Full text and rfc822 format available.

Message #15 received at 440344@bugs.debian.org (full text, mbox):

From: jan@uos.de
To: 440344@bugs.debian.org
Subject: simple patch
Date: Sun, 23 Sep 2007 14:08:38 -0600
[Message part 1 (text/plain, inline)]
Hi there!

I am experiencing the same problem with two remote smtp servers. A third
one works fine though. I googled around a little bit, but couldn't find
too much information about this specific error message. My guess would
be, that the default requirements for the mentioned 'Diffie Hellman
prime' has been raised in newer versions of libgnutls13. I have
therefore applied a simple patch to msmtp which simply lowers the
requirements while initiating the tls session (patch is attached):

       [in src/tls.c]
  +    /* set minimum size of acceptable Diffie Hellman prime */
  +    gnutls_dh_set_prime_bits(tls->session, 512);

While this solves the problem for me, there might be a good reason why
this requirement has been raised in the first place. So maybe not msmtp
needs patching, but rather all these smtp servers that use 'not
acceptable primes'. :-) But I don't have enough knowledge about this
area to judge that.

Best regards,

Jan
[msmtp_minimum-prime.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Julien Louis <ptitlouis@sysif.net>:
Bug#440344; Package msmtp. Full text and rfc822 format available.

Acknowledgement sent to Heiko Weinen <debbugs.heiko@weinen.org>:
Extra info received and forwarded to list. Copy sent to Julien Louis <ptitlouis@sysif.net>. Full text and rfc822 format available.

Message #20 received at 440344@bugs.debian.org (full text, mbox):

From: Heiko Weinen <debbugs.heiko@weinen.org>
To: 440344@bugs.debian.org
Subject: Workaround: Debian Package with openssl instead of gnutls
Date: Tue, 25 Sep 2007 04:56:55 +0200
Hi!

I have created another workaround: A (badly crafted :/) .deb which is
built --with-ssl=openssl instead of gnutls. Works quite ok for me.

In essence i just changed the rules file:

DEB_CONFIGURE_EXTRA_FLAGS += --with-libgsasl --with-ssl=openssl

So pardon me, if its not built correctly, but it works fine here, assuming
you have openssl installed. Building required just libssl-dev.

The url to download the package is 
http://heiko.weinen.org/msmtp_1.4.13-1_i386.deb

Kind regards,
HNW




Information forwarded to debian-bugs-dist@lists.debian.org, Julien Louis <ptitlouis@sysif.net>:
Bug#440344; Package msmtp. Full text and rfc822 format available.

Acknowledgement sent to Martin Lambers <marlam@marlam.de>:
Extra info received and forwarded to list. Copy sent to Julien Louis <ptitlouis@sysif.net>. Full text and rfc822 format available.

Message #25 received at 440344@bugs.debian.org (full text, mbox):

From: Martin Lambers <marlam@marlam.de>
To: msmtp-users@lists.sourceforge.net, 440344@bugs.debian.org
Subject: Testversion msmtp-1.4.14 to fix problem with Diffie Hellman prime length
Date: Sun, 11 Nov 2007 18:20:06 +0100
Hi!

I've uploaded a test version of msmtp-1.4.14 to
http://www.marlam.de/msmtp-1.4.14.tar.bz2 . 

It introduces a new command 'tls_security' with settings 'default' and
'lax'. The setting 'default' means to use the library defaults, and
'lax' lowers the requirements for the Diffie Hellmann prime as suggested
jan@uos.de.

Please give this version a try and see if it fixes the problem. If no
problems show up, I will release 1.4.14 during the next week.

Best regards,
Martin




Information forwarded to debian-bugs-dist@lists.debian.org, Julien Louis <ptitlouis@sysif.net>:
Bug#440344; Package msmtp. Full text and rfc822 format available.

Acknowledgement sent to Jim Paris <jim@jtan.com>:
Extra info received and forwarded to list. Copy sent to Julien Louis <ptitlouis@sysif.net>. Full text and rfc822 format available.

Message #30 received at 440344@bugs.debian.org (full text, mbox):

From: Jim Paris <jim@jtan.com>
To: 440344@bugs.debian.org
Subject: Another solution
Date: Sun, 20 Jan 2008 17:18:43 -0500
I ran into this problem with ssmtp.  After some searching I found that
I could fix it on the server side by just increasing the DH prime
size.  It's probably a better solution that relaxing the security
check in gnutls.  See 
  http://bugs.debian.org/461802 

-jim

  
  




Information forwarded to debian-bugs-dist@lists.debian.org, Julien Louis <ptitlouis@sysif.net>:
Bug#440344; Package msmtp. Full text and rfc822 format available.

Acknowledgement sent to jan@uos.de:
Extra info received and forwarded to list. Copy sent to Julien Louis <ptitlouis@sysif.net>. Full text and rfc822 format available.

Message #35 received at 440344@bugs.debian.org (full text, mbox):

From: jan@uos.de
To: 440344@bugs.debian.org
Subject: tls_security lax
Date: Mon, 14 Apr 2008 18:26:55 -0600
Hello!

Sorry for the late response, I didn't subscribe to this bug as I was
using my patched version of msmtp (which worked fine until it just got
replaced by msmtp_1.4.13-1+b1 :-) ).

I tested 1.4.14 with the new setting 'tls_security lax' and can report
that it works fine for me. Thx for fixing this in a clean way!

Regards,

Jan




Information forwarded to debian-bugs-dist@lists.debian.org, Julien Louis <ptitlouis@sysif.net>:
Bug#440344; Package msmtp. Full text and rfc822 format available.

Acknowledgement sent to Martin Lambers <marlam@marlam.de>:
Extra info received and forwarded to list. Copy sent to Julien Louis <ptitlouis@sysif.net>. Full text and rfc822 format available.

Message #40 received at 440344@bugs.debian.org (full text, mbox):

From: Martin Lambers <marlam@marlam.de>
To: jan@uos.de, 440344@bugs.debian.org
Subject: Re: Bug#440344: tls_security lax
Date: Wed, 16 Apr 2008 20:09:03 +0200
On Mon, 14. Apr 2008, 18:26:55 -0600, jan@uos.de wrote:
> I tested 1.4.14 with the new setting 'tls_security lax' and can report
> that it works fine for me. Thx for fixing this in a clean way!

Well, in the meantime 1.4.14 is out without the 'tls_security' command.

The reason is that I received absolutely no feedback on this issue (see
also http://sourceforge.net/mailarchive/forum.php?thread_name=20071111172006.GA1732%40wile.lambers.home&forum_name=msmtp-users),
so I hoped that most server configurations were updated and/or nobody
really cares about this.

Newer GnuTLS versions have a function gnutls_priority_init() that allows
to set session parameters via a user supplied string. Once this function
supports setting the Diffie Hellman size (see
http://trac.gnutls.org/cgi-bin/trac.cgi/ticket/29), we could add a new
command 'tls_parameters' or something similar that allows a user to
tweak all session parameters, including the required Diffie Hellman
size. Then we would not need to change msmtp when the next GnuTLS
release has stricter default requirements for some other parameter.

I think that should be the goal for 1.4.15, but I currently don't have
the time to work on the GnuTLS patch.

Regards,
Martin




Information forwarded to debian-bugs-dist@lists.debian.org, Julien Louis <ptitlouis@sysif.net>:
Bug#440344; Package msmtp. Full text and rfc822 format available.

Acknowledgement sent to Niels Borne <niels.borne@laposte.net>:
Extra info received and forwarded to list. Copy sent to Julien Louis <ptitlouis@sysif.net>. Full text and rfc822 format available.

Message #45 received at 440344@bugs.debian.org (full text, mbox):

From: Niels Borne <niels.borne@laposte.net>
To: 440344@bugs.debian.org
Subject: tls_security
Date: Mon, 19 May 2008 09:38:31 +0200
[Message part 1 (text/plain, inline)]
Hi,

The test version of msmtp-1.4.14 was also useful to me.
Of course using 'tls_security lax' does not sound like a long term
solution but if you can not act on the server what else can you do ?
Thanks in any case since I was totally hopeless and now it is working
fine. So yes some people do care about this issue !

Niels
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Julien Louis <ptitlouis@sysif.net>:
Bug#440344; Package msmtp. Full text and rfc822 format available.

Acknowledgement sent to "Tommaso Colombo" <zibo86@gmail.com>:
Extra info received and forwarded to list. Copy sent to Julien Louis <ptitlouis@sysif.net>. Full text and rfc822 format available.

Message #50 received at 440344@bugs.debian.org (full text, mbox):

From: "Tommaso Colombo" <zibo86@gmail.com>
To: 440344@bugs.debian.org
Cc: marlam@marlam.de
Subject: tls_security
Date: Thu, 22 May 2008 15:15:46 +0200
Hi,

I can confirm that people do care about this issue: if one can't
control the SMTP server he is connecting to, which is the most common
scenario, the only solution is to use LD_PRELOAD to load an older
version of libgnutls, which is quite a bad solution... Could you
please include the tls_security setting in the next release of msmtp?
It seems a reasonable workaround, provided that the user is informed
of the consequences on security of that setting.
Thanks!

Tommaso




Information forwarded to debian-bugs-dist@lists.debian.org, Julien Louis <ptitlouis@sysif.net>:
Bug#440344; Package msmtp. Full text and rfc822 format available.

Acknowledgement sent to Martin Lambers <marlam@marlam.de>:
Extra info received and forwarded to list. Copy sent to Julien Louis <ptitlouis@sysif.net>. Full text and rfc822 format available.

Message #55 received at 440344@bugs.debian.org (full text, mbox):

From: Martin Lambers <marlam@marlam.de>
To: Tommaso Colombo <zibo86@gmail.com>, 440344@bugs.debian.org
Cc: niels.borne@laposte.net, jan@uos.de
Subject: Re: Bug#440344: tls_min_dh_prime_bits
Date: Tue, 3 Jun 2008 00:03:23 +0200
Hi all,

I have uploaded a new test version of msmtp to
http://www.marlam.de/msmtp-1.4.15rc1.tar.bz2 .

This version includes a command tls_min_dh_prime_bits instead of the
tls_security command of the previous test version. 
(To call the command tls_security now seems wrong to me, especially
since the new tls_priorites command allows much more fine-grained
control.)

If someone can confirm that using 'tls_min_dh_prime_bits 512' solves the
problem, then this will definitely go into 1.4.15. Promised! ;)

Martin




Information forwarded to debian-bugs-dist@lists.debian.org, Julien Louis <ptitlouis@sysif.net>:
Bug#440344; Package msmtp. Full text and rfc822 format available.

Acknowledgement sent to jan@uos.de:
Extra info received and forwarded to list. Copy sent to Julien Louis <ptitlouis@sysif.net>. Full text and rfc822 format available.

Message #60 received at 440344@bugs.debian.org (full text, mbox):

From: jan@uos.de
To: Martin Lambers <marlam@marlam.de>
Cc: 440344@bugs.debian.org
Subject: Re: Bug#440344: tls_min_dh_prime_bits
Date: Mon, 2 Jun 2008 23:41:52 -0600
Hi!

On Tue, Jun 03, 2008 at 12:03:23AM +0200, Martin Lambers wrote:
> If someone can confirm that using 'tls_min_dh_prime_bits 512' solves the
> problem, then this will definitely go into 1.4.15. Promised! ;)

I can confirm that it works fine for me. Thanks!

Regards,

Jan




Information forwarded to debian-bugs-dist@lists.debian.org, Julien Louis <ptitlouis@sysif.net>:
Bug#440344; Package msmtp. Full text and rfc822 format available.

Acknowledgement sent to "Tommaso Colombo" <zibo86@gmail.com>:
Extra info received and forwarded to list. Copy sent to Julien Louis <ptitlouis@sysif.net>. Full text and rfc822 format available.

Message #65 received at 440344@bugs.debian.org (full text, mbox):

From: "Tommaso Colombo" <zibo86@gmail.com>
To: "Martin Lambers" <marlam@marlam.de>
Cc: 440344@bugs.debian.org
Subject: Re: Bug#440344: tls_min_dh_prime_bits
Date: Fri, 6 Jun 2008 14:52:57 +0200
Hi,

On Tue, Jun 3, 2008 at 12:03 AM, Martin Lambers <marlam@marlam.de> wrote:
> If someone can confirm that using 'tls_min_dh_prime_bits 512' solves the
> problem, then this will definitely go into 1.4.15. Promised! ;)

I can confirm that the new option works like a charm on Debian lenny
with libgnutls26!

Thanks a lot for you effort!

Ciao,
Tommaso




Information forwarded to debian-bugs-dist@lists.debian.org, Julien Louis <ptitlouis@sysif.net>:
Bug#440344; Package msmtp. Full text and rfc822 format available.

Acknowledgement sent to Martin Lambers <marlam@marlam.de>:
Extra info received and forwarded to list. Copy sent to Julien Louis <ptitlouis@sysif.net>. Full text and rfc822 format available.

Message #70 received at 440344@bugs.debian.org (full text, mbox):

From: Martin Lambers <marlam@marlam.de>
To: Tommaso Colombo <zibo86@gmail.com>, jan@uos.de, 440344@bugs.debian.org
Subject: Re: Bug#440344: tls_min_dh_prime_bits
Date: Sat, 7 Jun 2008 17:22:41 +0200
Hi,

I just released msmtp 1.4.15. It contains the new tls_min_dh_prime_bits
command, which should fix this bug.

Martin




Information forwarded to debian-bugs-dist@lists.debian.org, Julien Louis <ptitlouis@sysif.net>:
Bug#440344; Package msmtp. Full text and rfc822 format available.

Acknowledgement sent to Niels Borne <niels.borne@laposte.net>:
Extra info received and forwarded to list. Copy sent to Julien Louis <ptitlouis@sysif.net>. Full text and rfc822 format available.

Message #75 received at 440344@bugs.debian.org (full text, mbox):

From: Niels Borne <niels.borne@laposte.net>
To: Martin Lambers <marlam@marlam.de>
Cc: 440344@bugs.debian.org
Subject: Re: Bug#440344: tls_min_dh_prime_bits
Date: Sun, 22 Jun 2008 16:48:04 +0200
[Message part 1 (text/plain, inline)]
Hi,

It also works perfectly for me on Fedora 9.

Thanks very much !

Niels

Martin Lambers a écrit :
| Hi all,
| 
| I have uploaded a new test version of msmtp to
| http://www.marlam.de/msmtp-1.4.15rc1.tar.bz2 .
| 
| This version includes a command tls_min_dh_prime_bits instead of the
| tls_security command of the previous test version. 
| (To call the command tls_security now seems wrong to me, especially
| since the new tls_priorites command allows much more fine-grained
| control.)
| 
| If someone can confirm that using 'tls_min_dh_prime_bits 512' solves the
| problem, then this will definitely go into 1.4.15. Promised! ;)
| 
| Martin
| 
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Emmanuel Bouthenot <kolter@openics.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Alec Robertson <alec.robertson@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #80 received at 440344-close@bugs.debian.org (full text, mbox):

From: Emmanuel Bouthenot <kolter@openics.org>
To: 440344-close@bugs.debian.org
Subject: Bug#440344: fixed in msmtp 1.4.15-1
Date: Mon, 21 Jul 2008 22:03:41 +0000
Source: msmtp
Source-Version: 1.4.15-1

We believe that the bug you reported is fixed in the latest version of
msmtp, which is due to be installed in the Debian FTP archive:

msmtp-mta_1.4.15-1_all.deb
  to pool/main/m/msmtp/msmtp-mta_1.4.15-1_all.deb
msmtp_1.4.15-1.diff.gz
  to pool/main/m/msmtp/msmtp_1.4.15-1.diff.gz
msmtp_1.4.15-1.dsc
  to pool/main/m/msmtp/msmtp_1.4.15-1.dsc
msmtp_1.4.15-1_i386.deb
  to pool/main/m/msmtp/msmtp_1.4.15-1_i386.deb
msmtp_1.4.15.orig.tar.gz
  to pool/main/m/msmtp/msmtp_1.4.15.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 440344@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Emmanuel Bouthenot <kolter@openics.org> (supplier of updated msmtp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 23 Jun 2008 14:57:56 +0200
Source: msmtp
Binary: msmtp msmtp-mta
Architecture: source all i386
Version: 1.4.15-1
Distribution: unstable
Urgency: low
Maintainer: Emmanuel Bouthenot <kolter@openics.org>
Changed-By: Emmanuel Bouthenot <kolter@openics.org>
Description: 
 msmtp      - light SMTP client with support for server profiles
 msmtp-mta  - light SMTP client with support for server profiles
Closes: 440344 464474 486067
Changes: 
 msmtp (1.4.15-1) unstable; urgency=low
 .
   * New upstream release
      - Fix breakage with libgnutls13 (Closes: #440344)
      - Fix usage of Resent-* headers (Closes: #464474)
   * Setting me as maintainer.
   * Add a Homepage field.
   * Bump Standards-Version to 3.8.0.
   * Update debian/copyright : point to the GPLv3 licence from
     /usr/share/common-licences instead of including the whole
     licence, point to GFDL-1.2 licence too.
   * Add /usr/lib/sendmail symlink and provide newaliases program to
     conform to Debian Policy 11.6 (Closes: #486067)
   * Provide a manpage for newaliases program.
   * Remove unused patch use-minus-in-manpage.patch (merged upstream).
   * Add a patch to fix some paths in doc.
   * Add a lintian override about manpage of newaliases.
   * Update debian/compat to version 5.
   * Remove useless debian/dirs.
   * Update debian/watch to version 3 and update sourceforge url to
     use the qa.debian.org redirector.
Checksums-Sha1: 
 bc28736de99d6cdd3dddf66959de14938e8e10b4 1064 msmtp_1.4.15-1.dsc
 3dde14bcc983a38860aa31584a7e56422a6dff01 855453 msmtp_1.4.15.orig.tar.gz
 51f16f1f0213daac55439500a26133a126fa414d 8745 msmtp_1.4.15-1.diff.gz
 01aff21c57739af47d4f56ec2aa6f54cca51395e 31580 msmtp-mta_1.4.15-1_all.deb
 be3011b896c5fedd6eb605bd2fabf23cacbd109f 149312 msmtp_1.4.15-1_i386.deb
Checksums-Sha256: 
 c6525f0647eb34feae2a3c7aee0645f6c7df097b327b5f6a75068e99bf0806cd 1064 msmtp_1.4.15-1.dsc
 499c43dba70aee53eee4d03eb450ddef0ff7e93bbeea4f056bfde406c924788f 855453 msmtp_1.4.15.orig.tar.gz
 c1c9008242b7fe6a124076d0c68959755cd2aa1114b2445cbb124a8be9c5f8ca 8745 msmtp_1.4.15-1.diff.gz
 e90add2d60dad2bacb1d263d088844db9b68c258b6666ffef1ad3280f1205481 31580 msmtp-mta_1.4.15-1_all.deb
 c39e41dc3614d4af6e5a486b4f09b175d8592218975a7340e6a7e4a9334c35ed 149312 msmtp_1.4.15-1_i386.deb
Files: 
 01cf3e71d1e46493f50d3aab443eec95 1064 mail extra msmtp_1.4.15-1.dsc
 bb89e0b2b43a0ea7d97db7a421546eaa 855453 mail extra msmtp_1.4.15.orig.tar.gz
 0a086a90777d18bdfc2e07b894bd4a82 8745 mail extra msmtp_1.4.15-1.diff.gz
 e1023fbea1950397004a1a4dce9f56ed 31580 mail extra msmtp-mta_1.4.15-1_all.deb
 c740ed485ca1c6a02490101adccd9322 149312 mail extra msmtp_1.4.15-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkiFA/oACgkQeGfVPHR5Nd18WQCgw6cfXw4bKOHoHlqRedXR0wRC
3xkAnAwAATEx4+TI2RLAZfJXhqHuFM8G
=+LkH
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 30 Nov 2008 08:01:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 05:42:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.